%define anolis_release 1

%global modname logutils

Name:               python-%{modname}
Version:            0.3.5
Release:            %{anolis_release}%{?dist}
Summary:            Logging utilities

License:            BSD
URL:                https://pypi.io/project/logutils
Source0:            https://pypi.io/packages/source/l/%{modname}/%{modname}-%{version}.tar.gz

BuildArch:          noarch
BuildRequires:      python3-devel

%global _description\
The logutils package provides a set of handlers for the Python standard\
library's logging package.\
\
Some of these handlers are out-of-scope for the standard library, and so\
they are packaged here. Others are updated versions which have appeared in\
recent Python releases, but are usable with older versions of Python and so\
are packaged here.

%description %_description

%package -n python3-logutils
Summary:            Logging utilities
%{?python_provide:%python_provide python3-logutils}

%description -n python3-logutils
The logutils package provides a set of handlers for the Python standard
library's logging package.

Some of these handlers are out-of-scope for the standard library, and so
they are packaged here. Others are updated versions which have appeared in
recent Python releases, but are usable with older versions of Python and so
are packaged here.

%package -n     python3-logutils-doc
Summary:        Documentation files for %{name}
Requires:       python3-logutils = %{EVR}
BuildArch:      noarch

%description -n python3-logutils-doc
The %{name}-doc package contains documentation files for %{name}.

%prep
%autosetup -n %{modname}-%{version}

# Remove bundled egg-info in case it exists
rm -rf %{modname}.egg-info

%build
%py3_build

%install
%py3_install

%check
%{__python3} setup.py test

%files -n python3-%{modname}
%license LICENSE.txt
%{python3_sitelib}/%{modname}/
%{python3_sitelib}/%{modname}-%{version}-*

%files -n python3-%{modname}-doc
%doc README.rst NEWS.txt doc/

%changelog
* Tue Mar 28 2023 Yuanhong Peng <yummypeng@linux.alibaba.com> - 0.3.5-1
- Init from upstream
